#include "%{APPNAMELC}.h"

#include <tqpe/applnk.h>
#include <tqpe/resource.h>

/* QT */
#include <tqiconset.h>
#include <tqpopupmenu.h>
#include <tqmessagebox.h>


%{APPNAME}::%{APPNAME}()
             :TQObject( 0, "%{APPNAME}" )
{
}

%{APPNAME}::~%{APPNAME} ( )
{}

int %{APPNAME}::position() const
{
    return 3;
}

TQString %{APPNAME}::name() const
{
    return tr( "MenuApplet Example Name" );
}

TQString %{APPNAME}::text() const
{
    return tr( "Click the white rabbit" );
}


TQIconSet %{APPNAME}::icon() const
{
    TQPixmap pix;
    TQImage img = Resource::loadImage( "Tux" );
    if ( !img.isNull() )
        pix.convertFromImage( img.smoothScale( AppLnk::smallIconSize(), AppLnk::smallIconSize() ) );
    return pix;
}

TQPopupMenu* %{APPNAME}::popup(TQWidget*) const
{
    /* no subdir */
    return 0;
}

void %{APPNAME}::activated()
{
    TQMessageBox::information(0,tr("No white rabbit found"),
			     tr("<qt>No white rabbit was seen near Opie."
			        "Only the beautiful OpieZilla is available"
				"for your pleassure</qt>"));
}


TQRESULT %{APPNAME}::queryInterface( const TQUuid &uuid, TQUnknownInterface **iface )
{
    *iface = 0;
    if ( uuid == IID_TQUnknown )
        *iface = this;
    else if ( uuid == IID_MenuApplet )
        *iface = this;
    else
	return TQS_FALSE;

    if ( *iface )
        (*iface)->addRef();
    return TQS_OK;
}

TQ_EXPORT_INTERFACE()
{
    TQ_CREATE_INSTANCE( %{APPNAME} )
}
